#include <SoftwareSerial.h>

// Pin connections for switch (includes power and ground)
const int pwrPin = 7;
const int gndPin = 4;
const int upBttn = 5;
const int crBttn = 6;
const int rtBttn = 8;
const int dnBttn = 9;
const int ltBttn = 10;

// Pin connections for XBee radio
const int xb_rx = 2;
const int xb_tx = 3;

SoftwareSerial Xbee(xb_rx, xb_tx);

int keyDelay = 300;          // Limit keypress to one per 300ms
long previousMillis = 0;     // Stores last time 5-pos switch updated

void setup() {
  Xbee.begin(9600);

  // Set power to 5-position switch
  pinMode(pwrPin, OUTPUT);
  digitalWrite(pwrPin, HIGH); 
  pinMode(gndPin, OUTPUT);
  digitalWrite(gndPin, LOW);
}

void loop() {
  unsigned long currentMillis = millis();
  if(currentMillis - previousMillis > keyDelay) { // Prevents bounce
    previousMillis = currentMillis;

    if(digitalRead(ltBttn) == LOW)
      Xbee.print("l");
   
    if(digitalRead(rtBttn)== LOW) 
      Xbee.print("r");
    
    if(digitalRead(upBttn) == LOW) 
      Xbee.print("u");
    
    if(digitalRead(dnBttn) == LOW) 
      Xbee.print("d");
    
    if(digitalRead(crBttn) == LOW) 
      Xbee.print("c");
    
  }
}
